OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::ScopedJuceInitialiser_GUI Class Referencefinal

`#include <juce_Initialisation.h>`

## Public Member Functions
| ScopedJuceInitialiser_GUI ()
| ~ScopedJuceInitialiser_GUI ()

## Detailed Description

A utility object that helps you initialise and shutdown JUCE correctly using an RAII pattern.

When the first instance of this class is created, it calls initialiseJuce_GUI(), and when the last instance is deleted, it calls shutdownJuce_GUI(), so that you can easily be sure that as long as at least one instance of the class exists, the library will be initialised.

This class is particularly handy to use at the beginning of a console app's main() function, because it'll take care of shutting down whenever you return from the main() call.

Be careful with your threading though - to be safe, you should always make sure that these objects are created and deleted on the message thread.

Definition at line 69 of file juce_Initialisation.h.

## Constructor & Destructor Documentation

## ◆ ScopedJuceInitialiser_GUI()

juce::ScopedJuceInitialiser_GUI::ScopedJuceInitialiser_GUI | ( |  | ) |

The constructor simply calls initialiseJuce_GUI().

Definition at line 514 of file juce_MessageManager.cpp.

## ◆ ~ScopedJuceInitialiser_GUI()

juce::ScopedJuceInitialiser_GUI::~ScopedJuceInitialiser_GUI | ( |  | ) |

The destructor simply calls shutdownJuce_GUI().

Definition at line 515 of file juce_MessageManager.cpp.

The documentation for this class was generated from the following files:

- juce_Initialisation.h
- juce_MessageManager.cpp